/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.TCoreMissingclass;

import java.time.LocalDateTime;

import org.jooq.Record1;
import org.jooq.impl.UpdatableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class TCoreMissingclassRecord extends UpdatableRecordImpl<TCoreMissingclassRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.t_core_missingclass.lastchange</code>.
     */
    public void setLastchange(LocalDateTime value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.t_core_missingclass.lastchange</code>.
     */
    public LocalDateTime getLastchange() {
        return (LocalDateTime) get(0);
    }

    /**
     * Setter for <code>common_dd.t_core_missingclass.pk</code>. id of missing
     * class
     */
    public void setPk(Integer value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.t_core_missingclass.pk</code>. id of missing
     * class
     */
    public Integer getPk() {
        return (Integer) get(1);
    }

    /**
     * Setter for <code>common_dd.t_core_missingclass.name</code>. name for this
     * missing class
     */
    public void setName(String value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.t_core_missingclass.name</code>. name for this
     * missing class
     */
    public String getName() {
        return (String) get(2);
    }

    // -------------------------------------------------------------------------
    // Primary key information
    // -------------------------------------------------------------------------

    @Override
    public Record1<Integer> key() {
        return (Record1) super.key();
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached TCoreMissingclassRecord
     */
    public TCoreMissingclassRecord() {
        super(TCoreMissingclass.T_CORE_MISSINGCLASS);
    }

    /**
     * Create a detached, initialised TCoreMissingclassRecord
     */
    public TCoreMissingclassRecord(LocalDateTime lastchange, Integer pk, String name) {
        super(TCoreMissingclass.T_CORE_MISSINGCLASS);

        setLastchange(lastchange);
        setPk(pk);
        setName(name);
        resetChangedOnNotNull();
    }
}
